filestore-0.6.3.1: Interface for versioning file stores.

Copyright | Copyright (C) 2009 John MacFarlane
License | BSD 3
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | GHC 6.10 required
Safe Haskell | None
Language | Haskell98

Data.FileStore.Mercurial

Description

A versioned filestore implemented using mercurial. Normally this module should not be imported: import Data.FileStore instead.

Synopsis

- mercurialFileStore :: FilePath -> FileStore

# Documentation

mercurialFileStore :: FilePath -> FileStore Source #

Return a filestore implemented using the mercurial distributed revision control system (http://mercurial.selenic.com/).